>|| ||<

かわかみ君のチャリダ日記

気まぐれで始めた自転車ライフ

in走行履歴 04/03 走行履歴 にほんブログ村 自転車ブログへ ポチお願いします out

f:id:intertechtokyo:20180108132825p:plain  台湾環島  スマホ日記

 

 

はてなブログ・・・自社ブログサイト奮闘記

ブログ初めて何年になるだろうか・・・有料会員になっていた・・・今月初め・・・更新の知らせが届いていたが・・・止めた。

 

ご覧になるページに・・・目障りな広告が入っているかと思います。

f:id:intertechtokyo:20191021115715p:plain
f:id:intertechtokyo:20191021115718j:plain

 

編集するにも・・・しつこい勧誘・・・

f:id:intertechtokyo:20191021102059j:plain

f:id:intertechtokyo:20191021102102j:plain

 

 

自社ブログサイト奮闘記

 

弊社は、ネット環境一切をさくらサーバーのレンタルスペース「VPS」を契約している。古いが会社のWEBサイト、メールサーバー、FTPサーバーを立てている。

 

その空きに自社ブログを作る奮闘・・・している。

 

昔、大連の仲間が作って頂いたSentOSを使った環境です。

 

当時、WordPressのブログページも作ってもらったのですが、長く使わず仕舞いで、操作等々、とっくに忘れ去ってます。

 

昔の記憶を頼りに・・・

 

セカンドPC内にWordpress環境を作るも・・・必要なMySQLApache・・・入れ方が分からない。探し回ってると、その苦労を解決してくれる優れものソフトがあった。

 

MAMPなるイッピン・・・これインストールして・・・ちぃっと苦労して・・・Wordpressを起動させて・・・仮のブログを作れる環境が整った。
MAMPとは、MacApacheMySQLPHPの略

f:id:intertechtokyo:20191021114250j:plain

 

http://intertech.ne.jp/blog

 

急いで、我が社のWordpressページにアップロードすると・・・こんな警告

f:id:intertechtokyo:20191021103128j:plain

 

あらら・・・何年も更新などしてないから・・・時代が変わってしまったんだね!

 

続いて・・・PHPを更新する方法を探す・・・見つかりました。


どうやら最新のWordpressをインストールした事が原因のようだ・・・?

 

 

このページの指示に従って・・・

f:id:intertechtokyo:20191021110104j:plain

 

//phpのパッケージを確認 # rpm -qa | grep php

f:id:intertechtokyo:20191021110204j:plain



//CentOSのバージョン確認 # cat /etc/redhat-release

f:id:intertechtokyo:20191021110323j:plain

 

//remiインストールコマンドCentOS6系の場合
# rpm -Uvh http://rpms.famillecollet.com/enterprise/remi-release-6.rpm

f:id:intertechtokyo:20191021110423j:plain



//remiインストールコマンドCentOS6系の場合
# rpm -Uvh http://rpms.famillecollet.com/enterprise/remi-release-6.rpm

f:id:intertechtokyo:20191021110458j:plain

 

//古いインストール済みのファイルは削除 # yum remove php-*

f:id:intertechtokyo:20191021110541j:plain

 

//php5.6をインストールする
# yum install --enablerepo=remi-php56 php php php-devel php-mbstring php-mysql php-gd

f:id:intertechtokyo:20191021110623j:plain

 

//再起動 # service httpd restart

f:id:intertechtokyo:20191021110807j:plain

 

//phpバージョン確認 # php --version

f:id:intertechtokyo:20191021110936j:plain

 

これが・・・更新されないのです。

 

どちら様か・・・ご教示賜れましたら嬉しいです。

 

 

そこで・・・Wordpressをバージョン古いモノを入れてみました。

 

f:id:intertechtokyo:20191021112014j:plain

最新は、5.2.4・・・5.1を入れてみました。

 

 

そうして仮ブログデータを更新して、サーバーへアップロードすると・・・

 

 

新たな警告です。

f:id:intertechtokyo:20191021112500j:plain



どちら様か・・・ご教示賜れましたら嬉しいです。

 

 

f:id:intertechtokyo:20191021112654p:plain

立ち往生なう‼️



 

追記:

ちなみにサーバーへコマンドレベルでアクセスするは、WinSCPコンソールを開くを使ってます。

f:id:intertechtokyo:20191021113042j:plain



 

追記:

XAMPPなるプログラムもありました。

techacademy.jp